// The Global Sidebar Object
window.addEventListener("load",OnLoadSpurlOverlay,false);
var SpurlPref = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefService).getBranch('spurlbar.settings.');

function OnLoadSpurlOverlay() {
	if (document.getElementById("contentAreaContextMenu")) {
		top.document.getElementById("contentAreaContextMenu").addEventListener("popupshowing",OnContentPopup,false);
  	}
	if (SpurlPref.prefHasUserValue('spurl_bookmarks')) {
			top.document.getElementById("popupspurlItbookmarks").hidden = !SpurlPref.getBoolPref ('spurl_bookmarks');
	}
}
function OnContentPopup () {
	var node = top.document.popupNode;
    var nodeLocalName = node.localName.toUpperCase();
    var item1=top.document.getElementById("popupspurlItpage");
	var item2=top.document.getElementById("popupspurlItlink");
	var item3=top.document.getElementById("popupspurlItframe");
	var item4=top.document.getElementById("popupspurlItbookmarks");

	if (nodeLocalName != "A") { // check if popup is in link <A>
    	if (SpurlPref.prefHasUserValue('spurl_page')) {
			item1.hidden = !SpurlPref.getBoolPref ('spurl_page');
		} else {
			item1.hidden=false;
		}
		item2.hidden=true;
	} else { 
		if (SpurlPref.prefHasUserValue('spurl_link')) {
			item2.hidden = !SpurlPref.getBoolPref ('spurl_link');
		} else {
			item2.hidden=false;
		}
		item1.hidden=true;
	}
	if (node.ownerDocument != window._content.document) {   // check if popup is in frame
		if (SpurlPref.prefHasUserValue('spurl_frame')) {
			item3.hidden = !SpurlPref.getBoolPref ('spurl_frame');
		} else {
			item3.hidden = false;
		}
	} else { 
		item3.hidden = true; 
	}
}
function popupspurlIt (mode) {
	if (mode == 1) {  // spurl the current page
		spurlIt();
	}
	if (mode == 2) { // spurl the link
		var node = top.document.popupNode;
    	var surl = node.href;
		var url='http://www.spurl.net/spurl.php?title=&url=';
		url=url.concat(surl);
		url=url.concat('&blocked');
		window.open(url,'_blank','width=450,height=550,status=no,resizable=yes,scrollbars=auto');
	}
	if (mode == 3) {  // spurl the frame link
		var surl= top.document.popupNode.ownerDocument.location.href;
		var url='http://www.spurl.net/spurl.php?title=&url=';
		url=url.concat(surl);
		url=url.concat('&blocked');
		window.open(url,'_blank','width=450,height=550,status=no,resizable=yes,scrollbars=auto');
	}
}
function spurlIt () {
	
		var title=window.top._content.document.title;
		var href=window.top._content.document.location.href;
		if (window.top._content.document.selection) 
			blocked=window.top._content.document.selection.createRange().text;
		else blocked = window.top._content.document.getSelection();
		var url='http://www.spurl.net/spurl.php?title=';
		url=url.concat(title);
		url=url.concat('&url=');
		url=url.concat(href);
		url=url.concat('&blocked=');
		url=url.concat(blocked);
		window.open(url,'_blank','width=450,height=550,status=no,resizable=yes,scrollbars=auto');
}
